### Required by scalelite-api
SECRET_KEY_BASE={{ docker_scalelite_api['secret_key_base'] }}
LOADBALANCER_SECRET={{ docker_scalelite_api['loadbalancer_secret'] }}
LOADBALANCER_SECRETS={{ docker_scalelite_api['loadbalancer_secrets'] }}
#
### Required by scalelite-api and scalelite-poller
REDIS_URL={{ docker_redis['url'] }}
#
### Required by scalelite-api and scalelite-recording-importer
DATABASE_URL={{ docker_postgres['url'] }}
SCALELITE_RECORDING_DIR={{ docker_scalelite['recording_dir'] }}
#
### Required by scalelite-nginx (only When using SSL)
NGINX_SSL={{ docker_nginx['ssl'] | lower }}
# SCALELITE_NGINX_EXTRA_OPTS=--mount type=bind,source=/etc/letsencrypt,target=/etc/nginx/ssl,readonly
URL_HOST={{ docker_nginx['url_host']}}
#
### Required when when specific repo or version (other than defaults) are needed (DEPRECATED)
SCALELITE_REPO={{ docker_scalelite['repo'] }}
SCALELITE_TAG={{ docker_scalelite['tag'] }}
#
### Required when when specific repo or version (other than defaults) are needed
SCALELITE_DOCKER_IMAGE=blindsidenetwks/scalelite:v1.0
#
### Required when recordings are enabled and using BigBlueButton Playback Proxy to serve the recordings.
SCALELITE_RECORDINGS_DOCKER_IMAGE=bigbluebutton/bbb-playback-proxy:bionic-230-amazonlinux
#
### Optional for postgres when using docker-compose
POSTGRES_USER={{ docker_postgres['user'] }}
POSTGRES_PASSWORD={{ docker_postgres['password'] }}
#
### Optional for init-letsencrypt.sh when using certbot for generating signed SSL certificates
LETSENCRYPT_EMAIL={{ docker_letsencrypt['email'] }}
LETSENCRYPT_STAGING={{ docker_letsencrypt['staging'] }} # Set to 1 if you're testing your setup to avoid hitting request limits
#
### Optional since v1.0.12
# DB_DISABLED=false
# POLL_INTERVAL=60
# RECORDING_DISABLED=false
# RECORDING_IMPORT_POLL=true
# RECORDING_IMPORT_POLL_INTERVAL=60
# RECORDING_IMPORT_UNPUBLISHED=false
#
### Optional when using docker-compose-dev.yml
# DOCKER_VOL_SCALELITE_API=~/scalelite-run/data/scalelite
# DOCKER_VOL_POSTGRES_DATA=~/scalelite-run/data/postgres
# DOCKER_VOL_REDIS_DATA=~/scalelite-run/data/redis
#
### Optional for development when using different profiles
DOCKER_PROXY_NGINX_TEMPLATE=scalelite-proxy
#DOCKER_PROXY_NGINX_TEMPLATE=scalelite-local
#DOCKER_PROXY_NGINX_TEMPLATE=scalelite-cluster

SERVER_ID_IS_HOSTNAME={ docker_scalelite_api['server_id_is_hostname'] }
